<?php
	/**
	*	AJAX callback for link search across all applications
	*
	*       @author Nathan Gray
	*	@package stylite
	*	@copyright (c) 2003-9 by Nathan Gray <NathanGray@users.sourceforge.net>
	*	@license http://opensource.org/licenses/gpl-license.php GPL - GNU General Public License
	*	@see stylite_link_search_ui
	*/

	class stylite_link_search_ajax {
	
		/**
		*	Query to get the results.  Called once for each application.
		*
		*	@param etemplate_exec_id 
		*	@param div_id ID of the div that contains the application
		*	@param app Name of the application
		*	@param pattern Search for this text
		*	@param options Options to pass along for the query such as result limits
		*	
		*	@return AJAX XML response
		*/
		public static function query($etemplate_exec_id, $div_id, $app, $pattern, $options) {
			if ($etemplate_exec_id) $request = etemplate_request::read($etemplate_exec_id);
			$response = new xajaxResponse();

			if($result = stylite_link_search_ui::query($app, $pattern, $options, $etemplate_exec_id)) {
				$response->addScript("var parent_node = document.getElementById('$div_id.results');
					var new_node = document.createElement('div');
					new_node.innerHTML = '" . addslashes(str_replace("\n", '', $result)) . "';
					while(parent_node.hasChildNodes()) parent_node.removeChild(parent_node.firstChild);
					parent_node.appendChild(new_node);
				");
				$response->addScript("document.getElementById('$div_id').style.display = 'inline';");

			} else {
				$response->addScript("document.getElementById('$div_id').style.display = 'none';");
			}

			// More results?  Show 'More...' link.
			$response->addScript("show_more('$div_id', " . ($options['total'] > $options['num_rows'] ? 'true' : 'false') . ");");

			$response->addScript('app_search_count--;
				if(app_search_count <= 0) show_wait(false);
			');

			return $response->getXML();
		}
	}
?>
