<?php
/**
 * Stylite: Mobil calendar
 *
 * @link http://www.stylite.de
 * @package stylite
 * @subpackage calendar
 * @author Ralf Becker <RalfBecker-AT-outdoor-training.de>
 * @copyright (c) 2009-10 by Ralf Becker <RalfBecker-AT-outdoor-training.de>
 * @version $Id: mobil.php 1397 2010-10-28 15:50:25Z ralfbecker $
 */

/**
 * check if the given user has access
 *
 * Create a session or if the user has no account return authenticate header and 401 Unauthorized
 *
 * @param array &$account
 * @return int session-id
 */
function check_access(&$account)
{
	if (isset($_SERVER['PHP_AUTH_USER']))
	{
		$user = $_SERVER['PHP_AUTH_USER'];
		$pass = $_SERVER['PHP_AUTH_PW'];
	}
	if (!isset($user) || !($sessionid = $GLOBALS['egw']->session->create($user,$pass,'text')))
	{
		header('WWW-Authenticate: Basic realm="EPL mobile app'.
			// if the session class gives a reason why the login failed --> append it to the REALM
			($GLOBALS['egw']->session->reason ? ': '.$GLOBALS['egw']->session->reason : '').'"');
		header("HTTP/1.1 401 Unauthorized");
		exit;
	}
	// force idots template set, even if user has eg. jDots, which would redirect to create it's framework
	$GLOBALS['egw_info']['server']['template_set'] = 'idots';
	return $sessionid;
}

// we run as calendar application, so user need no access to stylite app
$GLOBALS['egw_info'] = array(
	'flags' => array(
		'currentapp' => 'calendar',
		'noheader' => true,
		'nonavbar' => true,
		'autocreate_session_callback' => 'check_access',
		'no_exception_handler' => 'basic_auth',	// we use a basic auth exception handler (sends exception message as basic auth realm)
	)
);
include('../header.inc.php');

// force idots template set, even if user has eg. jDots, which would redirect to create it's framework
$GLOBALS['egw_info']['server']['template_set'] = 'idots';

ExecMethod('stylite.stylite_mobil.index');

