<?php
/**
 * Stylite
 *
 * @link www.stylite.de
 * @author Ralf Becker <rb(at)stylite.de>
 * @copyright (c) 2009-14 by Ralf Becker <rb(at)stylite.de>
 * @package stylite
 * @subpackage setup
 * @version $Id: setup.inc.php 3666 2015-04-07 10:01:31Z ralfbecker $
 */

$setup_info['stylite']['name']        = 'stylite';
$setup_info['stylite']['version']     = '14.2';
$setup_info['stylite']['app_order']   = 1;
$setup_info['stylite']['tables']      = array();
$setup_info['stylite']['enable']      = 2;		// no navbar
$setup_info['stylite']['autoinstall'] = true;	// install automatically on update

$setup_info['stylite']['author'] = array(
	'name'  => 'Ralf Becker',
	'email' => 'rb@stylite.de',
);
$setup_info['stylite']['maintainer'] = array(
	'name'  => 'Stylite AG',
	'url'   => 'http://www.stylite.de',
);
$setup_info['stylite']['license']  = array(
	'name' => 'Stylite EPL license',
	'url'  => 'http://www.stylite.de/EPL',
);
$setup_info['stylite']['description'] = 'Part of EPL EGroupware packages from Stylite AG';
$setup_info['stylite']['note'] = 'For more information please visit: <a href="http://www.stylite.de/EPL" target="_blank">www.stylite.de/EPL</a>';
$setup_info['stylite'] += call_user_func("\163\164\171\154\151\164\145\137\154\151\143\145\156\163\145\137\142\157\72\72\150\157\157\153\163");

/* The hooks this app includes, needed for hooks registration */
$setup_info['stylite']['hooks']['after_navbar'] = 'stylite_hooks::after_navbar';
$setup_info['stylite']['hooks']['topmenu_info'] = 'stylite_hooks::topmenu_info';
$setup_info['stylite']['hooks']['sidebox_filemanager'] = 'stylite_filemanager_favorites::sidebox_filemanager';
$setup_info['stylite']['hooks']['sidebox_tracker'] = 'stylite_hooks::report';
$setup_info['stylite']['hooks']['admin'] = 'stylite_hooks::admin';
$setup_info['stylite']['hooks']['edit_group'] = 'stylite_groupadmin::actions';

// Calendar integration of other apps
$setup_info['stylite']['hooks']['calendar_search_union'] = 'stylite_infolog_calendar_integration::calendar_search_union';
$setup_info['stylite']['hooks']['settings_infolog'] = 'stylite_infolog_calendar_integration::settings_infolog';

// hooks to be able to notify users about vfs changes
//$setup_info['stylite']['hooks']['vfs_read'] = 'stylite_filemanager_notifications::vfs_hooks';
$setup_info['stylite']['hooks']['vfs_added'] = 'stylite_filemanager_notifications::vfs_hooks';
$setup_info['stylite']['hooks']['vfs_modified'] = 'stylite_filemanager_notifications::vfs_hooks';
$setup_info['stylite']['hooks']['vfs_unlink'] = 'stylite_filemanager_notifications::vfs_hooks';
//$setup_info['stylite']['hooks']['vfs_rename'] = 'stylite_filemanager_notifications::vfs_hooks';
//$setup_info['stylite']['hooks']['vfs_rmdir'] = 'stylite_filemanager_notifications::vfs_hooks';
//$setup_info['stylite']['hooks']['vfs_mkdir'] = 'stylite_filemanager_notifications::vfs_hooks';
$setup_info['stylite']['hooks']['vfs_extra'] = 'stylite_filemanager_notifications::vfs_extra';
$setup_info['stylite']['hooks']['fsck'] = 'EGroupware\Stylite\Vfs\Links\StreamWrapper::fsck';
$setup_info['stylite']['hooks']['groupdav_root_props'] = 'stylite_hooks::groupdav_root_props';

/* Dependencies for this app to work */
$setup_info['stylite']['depends'][] = array(
	'appname' => 'phpgwapi',
	'versions' => Array('14.1')
);
$setup_info['stylite']['depends'][] = array(
	'appname' => 'etemplate',
	'versions' => Array('14.1')
);

// requirements
$setup_info['stylite']['check_install'] = array(
	'openssl' => array(
		'func' => 'extension_check',
	),
);