<?php
/**
 * Stylite
 *
 * @link www.stylite.de
 * @author rb(at)stylite.de
 * @copyright (c) 2009-14 by rb(at)stylite.de
 * @package stylite
 * @subpackage setup
 * @version $Id: tables_update.inc.php 3511 2014-12-18 11:38:03Z ralfbecker $
 */

function stylite_upgrade9_2()
{
	// give Admins group rights for stylite app
	$admingroup = $GLOBALS['egw_setup']->add_account('Admins','Admin','Group',False,False);
	$GLOBALS['egw_setup']->add_acl('stylite','run',$admingroup);
	// give Default group rights for stylite app
	$defaultgroup = $GLOBALS['egw_setup']->add_account('Default','Default','Group',False,False);
	$GLOBALS['egw_setup']->add_acl('stylite','run',$defaultgroup);

	return $GLOBALS['setup_info']['stylite']['currentver'] = '10.1';
}

/**
 * mount EPL document dir "under" /templates
 */
function stylite_upgrade10_1()
{
	egw_vfs::$is_root = true;
	egw_vfs::mount('stylite.merge://default/templates?merge=stylite/printtemplates&lang=1','/templates');
	egw_vfs::$is_root = false;

	return $GLOBALS['setup_info']['stylite']['currentver'] = '11.1';
}

/**
 * Bump version to 14.1
 */
function stylite_upgrade11_1()
{
	return $GLOBALS['setup_info']['stylite']['currentver'] = '14.1';
}

/**
 * Bump version to 14.2 and check of updated license on my.stylite.de
 */
function stylite_upgrade14_1()
{
	$config = config::read('phpgwapi');
	if ($config['my-stylite-username'] && $config['my-stylite-password'])
	{
		try {
			$licensekey = stylite_license_bo::request_license($config['my-stylite-username'],
				$config['my-stylite-password']);

			if (!empty($licensekey) && $licensekey != $config['epllicensekey'])
			{
				config::save_value('epllicensekey', $licensekey, 'phpgwapi');
				error_log("New EPL license key successful requested and stored.");
			}
		}
		catch (Exception $ex)
		{
			_egw_log_exception($ex);
		}
	}
	return $GLOBALS['setup_info']['stylite']['currentver'] = '14.2';
}
